import React, { useState, useEffect } from 'react';
import { json } from 'd3';

import { feature, mesh } from 'topojson'

const jsonUrl =
  'https://gist.githubusercontent.com/manvithareddykarra/9ab4590b6349b169937b4f022db871fe/raw/cd71455dd9478728980e1a794c93b68239e6bd62/gistfile1.txt';

export const useData = () => {
  const [data, setData] = useState(null);
  
  console.log(data)
  
  useEffect(() => {
    json(jsonUrl).then(topojsonData => {
      setData(
        {
          laen: feature(topojsonData, topojsonData.objects['laen.geo']),
        	interiors: mesh(topojsonData, topojsonData.objects['laen.geo'], (a, b) => a !== b)
        })  
    });
  }, []);
  
  return data;
};